///
/// A sprite frame
///

#ifndef __FRAME_H__
#define __FRAME_H__

#include <string>

using namespace std;

class Frame {

 private:
  int width;
  int height;
  string frame_str;		/// all frame characters as a string

 public:
  ~Frame();
  Frame();
  Frame(int new_width, int new_height, string new_frame_str);
  int getWidth();
  void setWidth(int new_width);
  int getHeight();
  void setHeight(int new_height);
  string getString();
  void setFrame(string new_frame_str);
};

#endif //__FRAME_H__
